# Generated by Django 4.2.1 on 2023-05-18 06:32

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Broadcast',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('launch_datetime', models.DateTimeField()),
                ('end_datetime', models.DateTimeField()),
            ],
        ),
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone_number', models.CharField(max_length=12, validators=[django.core.validators.RegexValidator(message='Phone number must be in the format 7XXXXXXXXXX', regex='^7\\d{10}$')])),
                ('mobile_operator_code', models.CharField(max_length=20)),
                ('tag', models.CharField(max_length=100)),
                ('timezone', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_datetime', models.DateTimeField(auto_now_add=True)),
                ('shipping_status', models.CharField(max_length=100)),
                ('broadcast', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mailing_service.broadcast')),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mailing_service.client')),
            ],
        ),
        migrations.AddField(
            model_name='broadcast',
            name='clients',
            field=models.ManyToManyField(related_name='broadcasts', to='mailing_service.client'),
        ),
    ]
